import { __ } from "@wordpress/i18n";
import "./editor.scss";

import { useBlockProps, RichText } from "@wordpress/block-editor";
import { InnerBlocks } from "@wordpress/block-editor";

export default function Edit({ attributes, setAttributes, ...props }) {
	let { childName } = attributes;

	function onChangeChildName(childName) {
		setAttributes({ childName });
	}

	return (
		<>
			<div
				{...useBlockProps({
					className: `box-monoblock card-large-content`,
				})}
			>
				<InnerBlocks allowedBlocks={["core/paragraph"]} />
			</div>
		</>
	);
}
